Box2D 2.3.0 A 2D Physics Engine for Games

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions Variables Enumerations Enumerator Macros Pages
Public Member Functions | Public Attributes | List of all members
b2MotorJointDef Struct Reference

Motor joint definition. More...

`#include <b2MotorJoint.h>`

Inheritance diagram for b2MotorJointDef:

## Public Member Functions
void | Initialize (b2Body *bodyA, b2Body *bodyB)
| Initialize the bodies and offsets using the current transforms.

## Public Attributes
b2Vec2 | linearOffset
| Position of bodyB minus the position of bodyA, in bodyA's frame, in meters.
float32 | angularOffset
| The bodyB angle minus bodyA angle in radians.
float32 | maxForce
| The maximum motor force in N.
float32 | maxTorque
| The maximum motor torque in N-m.
float32 | correctionFactor
| Position correction factor in the range [0,1].
Public Attributes inherited from b2JointDef
b2JointType | type
| The joint type is set automatically for concrete joint types.
void * | userData
| Use this to attach application specific data to your joints.
b2Body * | bodyA
| The first attached body.
b2Body * | bodyB
| The second attached body.
bool | collideConnected
| Set this flag to true if the attached bodies should collide.

## Detailed Description

Motor joint definition.

The documentation for this struct was generated from the following files:

- b2MotorJoint.h
- b2MotorJoint.cpp